------------------------------------------------------------------------------------
--Name:  	210426[简体征服][任务脚本]210423[简体征服][任务脚本]Soaring Archers剧情任务
--Creator:	杨艳
--Created:	2021-04-26
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(36, 31)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)

-- CppScriptMgr:WaitMilSec(1500);
CppScriptMgr:SetViewPosByCell(109, 149)
-- CppScriptMgr:SetViewScale(150)
local player  = CppScriptMgr:AddSimplePlayer(22270, 109,149, "MoLian")
player:SetRWeapon(500169,0,1)
player:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("halo_jin_fir", 106, 153)
CppScriptMgr:WaitMilSec(1000)
local hero = CppScriptMgr:QueryHero()
hero:SetZoomPercent(120)
local heroname = hero:GetName()
local heroSex = hero:GetSex()
local herolook = "NPCBust_npc27064"
if heroSex == 2 then
	herolook = "NPCBust_npc185"
end
hero:SetPos(106,153)
hero:SetDir(5)
CppScriptMgr:WaitMilSec(1000)

player:Say("How is everything? Did you get hurt?", 2000)
CppScriptMgr:WaitMilSec(1000)

hero:Say("I`m fine. Here, Mo Token!", 2000)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:AddEffect("guard_defshare", 106, 153)
CppScriptMgr:WaitMilSec(1000)

player:Say("You are great!", 2000)
CppScriptMgr:WaitMilSec(1000)
hero:Say("What should we do next?", 2000)
CppScriptMgr:WaitMilSec(1000)
player:Say("Go to Twisted City with me. Castellan will teach you the way of opening Twisted Note.", 2000)
CppScriptMgr:WaitMilSec(1000)
hero:Say("OK!", 2000)
CppScriptMgr:WaitMilSec(1000)

CppScriptMgr:AddEffect("halo_jin_fir", 106, 153)
CppScriptMgr:AddEffect("halo_jin_fir", 109, 149)
CppScriptMgr:WaitMilSec(1000)
hero:SetPos(1000, 1000)
player:SetPos(1000, 1000)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(1500)





